JavaCompileTaskOperationResult.AnnotationProcessorResult.Type (Gradle API 5.6.1)
Date: 2019-09-03

Package org.gradle.tooling.events.task.java

## Enum JavaCompileTaskOperationResult.AnnotationProcessorResult.Type

- java.lang.Object
- - java.lang.Enum<JavaCompileTaskOperationResult.AnnotationProcessorResult.Type>
  - - org.gradle.tooling.events.task.java.JavaCompileTaskOperationResult.AnnotationProcessorResult.Type

- All Implemented Interfaces:
    `Serializable`, `Comparable<JavaCompileTaskOperationResult.AnnotationProcessorResult.Type>`
  Enclosing interface:
    JavaCompileTaskOperationResult.AnnotationProcessorResult

      @Incubating
      public static enum JavaCompileTaskOperationResult.AnnotationProcessorResult.Type
      extends Enum<JavaCompileTaskOperationResult.AnnotationProcessorResult.Type>

  Type of annotation processor.
  Since:
    5.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AGGREGATING` |
    `ISOLATING` |
    `UNKNOWN` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static JavaCompileTaskOperationResult.AnnotationProcessorResult.Type` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static JavaCompileTaskOperationResult.AnnotationProcessorResult.Type[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ISOLATING

          public static final JavaCompileTaskOperationResult.AnnotationProcessorResult.Type ISOLATING

    - #### AGGREGATING

          public static final JavaCompileTaskOperationResult.AnnotationProcessorResult.Type AGGREGATING

    - #### UNKNOWN

          public static final JavaCompileTaskOperationResult.AnnotationProcessorResult.Type UNKNOWN

  - ### Method Detail

    - #### values

          public static JavaCompileTaskOperationResult.AnnotationProcessorResult.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JavaCompileTaskOperationResult.AnnotationProcessorResult.Type c : JavaCompileTaskOperationResult.AnnotationProcessorResult.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JavaCompileTaskOperationResult.AnnotationProcessorResult.Type valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null